#!/usr/bin/python3

from webdav3.client import Client

options = {
    #'webdav_login': 'gia',
    #'webdav_password': 'gia0000!',
    'webdav_token': '2WmQL-G7Jbg-6t7sN-JBRSe-eBGy5',
    'webdav_hostname': 'https://obzorje.kompot.si/remote.php/dav/files/dab82616-284e-103c-9287-6de9b1978576/'
    #'webdav_hostname': 'https://obzorje.kompot.si',
    #'webdav_root': '/remote.php/dav/files/'
}

client = Client(options)
print(dir(client))

def get_file_list():
    return client.list("/GIA CLOUD")

for file in get_file_list():
    link = client.get_url(file)
    print(link)
    


info = client.info("/GIA CLOUD")

